org.apache.commons.configuration2

## Class ConfigurationMap

- java.lang.Object
- - java.util.AbstractMap<Object,Object>
  - - org.apache.commons.configuration2.ConfigurationMap

- All Implemented Interfaces:
    Map<Object,Object>
  Direct Known Subclasses:
    ConfigurationDynaBean

      public class ConfigurationMap
      extends AbstractMap<Object,Object>

  The `ConfigurationMap` wraps a configuration-collection `Configuration` instance to provide a `Map` interface.

  Note: This implementation is incomplete.

  Since:
    1.0
  Version:
    $Id: ConfigurationMap.java 1624601 2014-09-12 18:04:36Z oheger $
  Author:
    Ricardo Gladwell

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationMap(Configuration configuration)` Creates a new instance of a `ConfigurationMap` that wraps the specified `Configuration` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Map.Entry<Object,Object>>` | `entrySet()` Returns a set with the entries contained in this configuration-based map.
    `Object` | `get(Object key)` Returns the value of the specified key.
    `Configuration` | `getConfiguration()` Returns the wrapped `Configuration` object.
    `Object` | `put(Object key, Object value)` Stores the value for the specified key.

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### ConfigurationMap

          public ConfigurationMap(Configuration configuration)

      Creates a new instance of a `ConfigurationMap` that wraps the specified `Configuration` instance.
      Parameters:
        `configuration` - `Configuration` instance.

  - ### Method Detail

    - #### getConfiguration

          public Configuration getConfiguration()

      Returns the wrapped `Configuration` object.
      Returns:
        the wrapped configuration
      Since:
        1.2

    - #### entrySet

          public Set<Map.Entry<Object,Object>> entrySet()

      Returns a set with the entries contained in this configuration-based map.
      Specified by:
        `entrySet` in interface `Map<Object,Object>`
      Specified by:
        `entrySet` in class `AbstractMap<Object,Object>`
      Returns:
        a set with the contained entries
      See Also:
        `Map.entrySet()`

    - #### put

          public Object put(Object key,
                            Object value)

      Stores the value for the specified key. The value is stored in the underlying configuration.
      Specified by:
        `put` in interface `Map<Object,Object>`
      Overrides:
        `put` in class `AbstractMap<Object,Object>`
      Parameters:
        `key` - the key (will be converted to a string)
        `value` - the value
      Returns:
        the old value of this key or null if it is new
      See Also:
        `Map.put(java.lang.Object, java.lang.Object)`

    - #### get

          public Object get(Object key)

      Returns the value of the specified key. The key is converted to a string and then passed to the underlying configuration.
      Specified by:
        `get` in interface `Map<Object,Object>`
      Overrides:
        `get` in class `AbstractMap<Object,Object>`
      Parameters:
        `key` - the key
      Returns:
        the value of this key
      See Also:
        `Map.get(java.lang.Object)`

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.